OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SignCategory Class Reference

This Signature returns the Category of an entity, as recorded
in the model
.

`#include <IFSelect_SignCategory.hxx>`

Inheritance diagram for IFSelect_SignCategory:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_SignCategory ()
| Returns a SignCategory .
Standard_EXPORT Standard_CString | Value (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns the Signature for a Transient object, as its Category recorded in the model .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SignCategory::IFSelect_SignCategory | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SignCategory::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Signature.

Standard_EXPORT Standard_CString IFSelect_SignCategory::Value | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements Interface_SignType.

The documentation for this class was generated from the following file:

- IFSelect_SignCategory.hxx